QShared(3qt)

NAME
QShared - The QShared struct is internally used for implementing shared classes

SYNOPSIS

#include <qshared.h>

DESCRIPTION
The QShared struct is internally used for implementing shared classes.

It only contains a reference count and member functions to increment and decrement it.

Shared classes normally have internal classes that inherit QShared and add the shared data.

See also: Shared Classes

SEE ALSO
http://www.troll.no/qt/qshared.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.